---
layout: docs
page_title: hosts read - Command
description: >-
  The "hosts read" command retrieves details about a host resource.
---

# hosts read

Command: `boundary hosts read`

The `boundary hosts read` command lets you read information about a Boundary host using its given ID.

## Example

This example reads the information about a host with the ID `h_1234567890`:

```shell-session
$ boundary hosts read -id h_1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary hosts read [options] [args]
```

</CodeBlockConfig>

### Command options

- `-id=<string>` - The ID of the host whose information you want to read.

@include 'cmd-option-note.mdx'